Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600804 - [abrt] crash in font-manager-0.5.4-3.fc13: font-manager:50:<module>:ImportError: No module named constants
[abrt] crash in font-manager-0.5.4-3.fc13: font-manager:50:<module>:ImportErr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: font-manager (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jean-Francois Saucier
Fedora Extras Quality Assurance
abrt_hash:0ea8d034
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 01:22 EDT by Jean-François Martin
Modified: 2010-07-22 22:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: font-manager-0.5.5.4-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 22:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (911 bytes, text/plain)
2010-06-06 01:22 EDT, Jean-François Martin
no flags Details

  None (edit)
Description Jean-François Martin 2010-06-06 01:22:14 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/font-manager
component: font-manager
executable: /usr/bin/font-manager
kernel: 2.6.33.5-112.fc13.i686
package: font-manager-0.5.4-3.fc13
reason: font-manager:50:<module>:ImportError: No module named constants
release: Fedora release 13 (Goddard)

backtrace
-----
font-manager:50:<module>:ImportError: No module named constants

Traceback (most recent call last):
  File "/usr/bin/font-manager", line 50, in <module>
    from constants import LOCALEDIR
ImportError: No module named constants

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/font-manager'
desktop_file: '/usr/bin/font-manager.desktop'
gettext: <module 'gettext' from '/usr/lib/python2.6/gettext.pyc'>
__package__: None
sys: <module 'sys' (built-in)>
LIB_DIR: '@LIBDIR@/font-manager'
directory: '@LIBDIR@/font-manager'
__name__: '__main__'
os: <module 'os' from '/usr/lib/python2.6/os.pyc'>
__doc__: '\nThis script ensures that all necessary python modules are available\nbefore running the actual program, if any modules are missing the\nscript will exit and print the name of the missing module to stdout.\n'
PACKAGE_DIR: '@PREFIX@/share/font-manager'

How to reproduce
-----
1. Launch font-manager 
2. The application crash because of a ImportError
Comment 1 Jean-François Martin 2010-06-06 01:22:16 EDT
Created attachment 421540 [details]
File: backtrace
Comment 2 Jean-François Martin 2010-06-06 01:43:47 EDT
$rpm -ql font-manager
/usr/bin/font-manager
/usr/bin/font-sampler
/usr/lib/font-manager
/usr/lib/font-manager/_fontutils.so
/usr/share/applications/font-manager.desktop
/usr/share/doc/font-manager-0.5.4
/usr/share/doc/font-manager-0.5.4/AUTHORS
/usr/share/doc/font-manager-0.5.4/COPYING
/usr/share/doc/font-manager-0.5.4/ChangeLog
/usr/share/doc/font-manager-0.5.4/NEWS
/usr/share/doc/font-manager-0.5.4/README
/usr/share/doc/font-manager-0.5.4/TODO
/usr/share/font-manager
/usr/share/font-manager/__init__.py
/usr/share/font-manager/__init__.pyc
/usr/share/font-manager/__init__.pyo
/usr/share/font-manager/constants.py
/usr/share/font-manager/constants.pyc
/usr/share/font-manager/constants.pyo
/usr/share/font-manager/core
/usr/share/font-manager/core/__init__.py
/usr/share/font-manager/core/__init__.pyc
/usr/share/font-manager/core/__init__.pyo
/usr/share/font-manager/core/database.py
/usr/share/font-manager/core/database.pyc
/usr/share/font-manager/core/database.pyo
/usr/share/font-manager/core/fonts.py
/usr/share/font-manager/core/fonts.pyc
/usr/share/font-manager/core/fonts.pyo
/usr/share/font-manager/core/service.py
/usr/share/font-manager/core/service.pyc
/usr/share/font-manager/core/service.pyo
/usr/share/font-manager/data
/usr/share/font-manager/data/actions.ui
/usr/share/font-manager/data/bitmap.png
/usr/share/font-manager/data/blank.png
/usr/share/font-manager/data/font-information.ui
/usr/share/font-manager/data/font-manager.ui
/usr/share/font-manager/data/font-sampler.ui
/usr/share/font-manager/data/menus.ui
/usr/share/font-manager/data/opentype.png
/usr/share/font-manager/data/truetype.png
/usr/share/font-manager/data/type1.png
/usr/share/font-manager/data/type42.png
/usr/share/font-manager/help
/usr/share/font-manager/help/C
/usr/share/font-manager/help/C/about.page
/usr/share/font-manager/help/C/actions.page
/usr/share/font-manager/help/C/charmap.page
/usr/share/font-manager/help/C/compare.page
/usr/share/font-manager/help/C/directories.page
/usr/share/font-manager/help/C/export.page
/usr/share/font-manager/help/C/figures
/usr/share/font-manager/help/C/figures/add.png
/usr/share/font-manager/help/C/figures/charmap.png
/usr/share/font-manager/help/C/figures/clear.png
/usr/share/font-manager/help/C/figures/color-select.png
/usr/share/font-manager/help/C/figures/disable.png
/usr/share/font-manager/help/C/figures/enable.png
/usr/share/font-manager/help/C/figures/export.png
/usr/share/font-manager/help/C/figures/family-pane.png
/usr/share/font-manager/help/C/figures/fontinfo-dialog.png
/usr/share/font-manager/help/C/figures/fontinfo.png
/usr/share/font-manager/help/C/figures/logo.png
/usr/share/font-manager/help/C/figures/main-window.png
/usr/share/font-manager/help/C/figures/manage.png
/usr/share/font-manager/help/C/figures/preferences.png
/usr/share/font-manager/help/C/figures/preview-pane.png
/usr/share/font-manager/help/C/figures/remove.png
/usr/share/font-manager/help/C/figures/side-pane.png
/usr/share/font-manager/help/C/figures/statusbar.png
/usr/share/font-manager/help/C/fontinfo.page
/usr/share/font-manager/help/C/index.page
/usr/share/font-manager/help/C/install.page
/usr/share/font-manager/help/C/introduction.page
/usr/share/font-manager/help/C/issues.page
/usr/share/font-manager/help/C/manage.page
/usr/share/font-manager/help/C/organize.page
/usr/share/font-manager/help/C/preview.page
/usr/share/font-manager/help/C/remove.page
/usr/share/font-manager/help/C/search.page
/usr/share/font-manager/help/C/ui.page
/usr/share/font-manager/main.py
/usr/share/font-manager/main.pyc
/usr/share/font-manager/main.pyo
/usr/share/font-manager/ui
/usr/share/font-manager/ui/__init__.py
/usr/share/font-manager/ui/__init__.pyc
/usr/share/font-manager/ui/__init__.pyo
/usr/share/font-manager/ui/actions.py
/usr/share/font-manager/ui/actions.pyc
/usr/share/font-manager/ui/actions.pyo
/usr/share/font-manager/ui/custom.py
/usr/share/font-manager/ui/custom.pyc
/usr/share/font-manager/ui/custom.pyo
/usr/share/font-manager/ui/export.py
/usr/share/font-manager/ui/export.pyc
/usr/share/font-manager/ui/export.pyo
/usr/share/font-manager/ui/fontinfo.py
/usr/share/font-manager/ui/fontinfo.pyc
/usr/share/font-manager/ui/fontinfo.pyo
/usr/share/font-manager/ui/library.py
/usr/share/font-manager/ui/library.pyc
/usr/share/font-manager/ui/library.pyo
/usr/share/font-manager/ui/preferences.py
/usr/share/font-manager/ui/preferences.pyc
/usr/share/font-manager/ui/preferences.pyo
/usr/share/font-manager/ui/previews.py
/usr/share/font-manager/ui/previews.pyc
/usr/share/font-manager/ui/previews.pyo
/usr/share/font-manager/ui/sampler.py
/usr/share/font-manager/ui/sampler.pyc
/usr/share/font-manager/ui/sampler.pyo
/usr/share/font-manager/ui/treeviews.py
/usr/share/font-manager/ui/treeviews.pyc
/usr/share/font-manager/ui/treeviews.pyo
/usr/share/font-manager/utils
/usr/share/font-manager/utils/__init__.py
/usr/share/font-manager/utils/__init__.pyc
/usr/share/font-manager/utils/__init__.pyo
/usr/share/font-manager/utils/common.py
/usr/share/font-manager/utils/common.pyc
/usr/share/font-manager/utils/common.pyo
/usr/share/font-manager/utils/xmlutils.py
/usr/share/font-manager/utils/xmlutils.pyc
/usr/share/font-manager/utils/xmlutils.pyo


The package put python files in /usr/share/font-manager which is not in PYTHONPATH. They should go in /usr/lib/python2.6/site-packages/font-manager
Comment 3 Jean-Francois Saucier 2010-06-06 16:52:21 EDT
Thank you for reporting this. I already started working to fix this issue and this will probably be in the next version of font-manager.
Comment 4 Fedora Update System 2010-06-18 13:59:01 EDT
font-manager-0.5.4-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/font-manager-0.5.4-5.fc13
Comment 5 Fedora Update System 2010-06-18 14:16:46 EDT
font-manager-0.5.4-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/font-manager-0.5.4-5.fc12
Comment 6 Fedora Update System 2010-06-18 14:23:58 EDT
font-manager-0.5.4-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/font-manager-0.5.4-5.fc11
Comment 7 Fedora Update System 2010-06-21 17:39:41 EDT
font-manager-0.5.4-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update font-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/font-manager-0.5.4-5.fc11
Comment 8 Fedora Update System 2010-06-21 17:42:38 EDT
font-manager-0.5.4-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update font-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/font-manager-0.5.4-5.fc12
Comment 9 Fedora Update System 2010-06-21 17:46:29 EDT
font-manager-0.5.4-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update font-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/font-manager-0.5.4-5.fc13
Comment 10 Fedora Update System 2010-07-08 09:59:51 EDT
font-manager-0.5.5.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/font-manager-0.5.5.4-1.fc13
Comment 11 Fedora Update System 2010-07-08 10:12:01 EDT
font-manager-0.5.5.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/font-manager-0.5.5.4-1.fc12
Comment 12 Fedora Update System 2010-07-08 14:20:57 EDT
font-manager-0.5.5.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update font-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/font-manager-0.5.5.4-1.fc13
Comment 13 Fedora Update System 2010-07-08 14:27:28 EDT
font-manager-0.5.5.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update font-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/font-manager-0.5.5.4-1.fc12
Comment 14 Fedora Update System 2010-07-22 22:24:36 EDT
font-manager-0.5.5.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2010-07-22 22:33:03 EDT
font-manager-0.5.5.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.